Loading...
Searching...
No Matches
Opm::ModularFluidState< ScalarT, numPhasesV, numComponentsV, PressureModule, TemperatureModule, CompositionModule, FugacityModule, SaturationModule, DensityModule, ViscosityModule, EnthalpyModule > Class Template Reference

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium. More...

`#include <ModularFluidState.hpp>`

Inheritance diagram for Opm::ModularFluidState< ScalarT, numPhasesV, numComponentsV, PressureModule, TemperatureModule, CompositionModule, FugacityModule, SaturationModule, DensityModule, ViscosityModule, EnthalpyModule >:

## Public Types

enum | { numPhases = numPhasesV }
enum | { numComponents = numComponentsV }
typedef ScalarT | Scalar

## Public Member Functions

void | checkDefined () const
| Make sure that all attributes are defined.
template<class FluidState>
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.

## Detailed Description

template<class ScalarT, unsigned numPhasesV, unsigned numComponentsV, class PressureModule, class TemperatureModule, class CompositionModule, class FugacityModule, class SaturationModule, class DensityModule, class ViscosityModule, class EnthalpyModule>
class Opm::ModularFluidState< ScalarT, numPhasesV, numComponentsV, PressureModule, TemperatureModule, CompositionModule, FugacityModule, SaturationModule, DensityModule, ViscosityModule, EnthalpyModule >

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium.

This class uses a modular approach which results in storing only a set of requested thermodynamic quantities.

## Member Function Documentation

## checkDefined()

template<class ScalarT, unsigned numPhasesV, unsigned numComponentsV, class PressureModule, class TemperatureModule, class CompositionModule, class FugacityModule, class SaturationModule, class DensityModule, class ViscosityModule, class EnthalpyModule>

void Opm::ModularFluidState< ScalarT, numPhasesV, numComponentsV, PressureModule, TemperatureModule, CompositionModule, FugacityModule, SaturationModule, DensityModule, ViscosityModule, EnthalpyModule >::checkDefined | ( |  | ) | const

inline

Make sure that all attributes are defined.

This method does not do anything if the program is not run under valgrind. If it is, then valgrind will print an error message if some attributes of the object have not been properly defined.

The documentation for this class was generated from the following file:

- opm/material/fluidstates/ModularFluidState.hpp